Package org.globus.ftp.dc

# Interface DataChannelWriter

All Known Implementing Classes:
  `EBlockImageDCWriter`, `StreamAsciiDCWriter`, `StreamImageDCWriter`

public interface DataChannelWriter

## Method Summary

Modifier and Type
Method
Description
`void`
`close()`
`void`
`endOfData()`
`void`
`setDataStream(OutputStream out)`
`void`
`write(Buffer buffer)`

## Method Details

### setDataStream

void setDataStream(OutputStream out)

### write

void write(Buffer buffer) throws IOException

Throws:
  `IOException`

### endOfData

void endOfData() throws IOException

Throws:
  `IOException`

### close

void close() throws IOException

Throws:
  `IOException`